Subject: bug#8497: Bug#620795: emacs23: Makefile generation with cpp mangles multiarch include paths (impending FTBFS)

From: Rob Browning <[email-masked]>
Date: Sun, 17 Apr 2011 12:35:03 -0500

Steve Langasek <[email-masked]> writes:

> On Fri, Apr 15, 2011 at 09:51:00PM -0400, Glenn Morris wrote:

>> Note the following in configure.in attempts to do this kind of thing already:
>
>>     # Now get this: Some word that is part of the ${srcdir} directory name
>>     # or the ${configuration} value might, just might, happen to be an
>>     # identifier like `sun4' or `i386' or something, and be predefined by
>>     # the C preprocessor to some helpful value like 1, or maybe the empty
>>     # string.  Needless to say consequent macro substitutions are less
>>     # than conducive to the makefile finding the correct directory.
>>     [cpp_undefs="`echo $srcdir $configuration $canonical unix |
>>       sed -e 's/[^a-zA-Z0-9_]/ /g' -e 's/^/ /' -e 's/  *$//' \
>>       -e 's/  */ -U/g' -e 's/-U[0-9][^ ]*//g'`"]
>
>> so it's not obvious to me why you need to do more (maybe $canonical is
>> i686-something but your directories are i386-something?).
>
> Ah - yes, that's exactly right.  So this issue should only affect the i386
> build, where the toolchain triplet != the multiarch directory.

For now I've fixed this for the next upload by just adding a hard-coded
i386 after "unix".

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4